package com.iamberry.wechat.core.entity.admin;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 何秀刚
 * Class Description: 商城系统规则
 * Create Date:2016年4月20日
 * Update Date:2016年4月20日
 */
public class ShopSystemRule implements Serializable {
	
	private static final long serialVersionUID = 3082345867599862877L;

	private Integer ruleId; // ID
	
	private Double ruleNum; // 规则数量
	
	private String ruleDesc; // 规则简介
	
	private Integer ruleType; // 规则类型（详情参加数据库表） 
	
	private Date ruleCreateDate; // 创建时间
	
	private Integer ruleStatus; // 状态1:启用 ,其他表示不启用

	public Integer getRuleId() {
		return ruleId;
	}

	public void setRuleId(Integer ruleId) {
		this.ruleId = ruleId;
	}

	public Double getRuleNum() {
		return ruleNum;
	}

	public void setRuleNum(Double ruleNum) {
		this.ruleNum = ruleNum;
	}

	public String getRuleDesc() {
		return ruleDesc;
	}

	public void setRuleDesc(String ruleDesc) {
		this.ruleDesc = ruleDesc;
	}

	public Integer getRuleType() {
		return ruleType;
	}

	public void setRuleType(Integer ruleType) {
		this.ruleType = ruleType;
	}

	public Date getRuleCreateDate() {
		return ruleCreateDate;
	}

	public void setRuleCreateDate(Date ruleCreateDate) {
		this.ruleCreateDate = ruleCreateDate;
	}

	public Integer getRuleStatus() {
		return ruleStatus;
	}

	public void setRuleStatus(Integer ruleStatus) {
		this.ruleStatus = ruleStatus;
	}
}
